package com.tanpu.fund.api.model.resp;

import com.tanpu.fund.api.model.FundInfoVO;
import com.tanpu.fund.api.model.FundRatioVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("历史持仓")
@Data
public class TrackPositionVO {

    @ApiModelProperty("时间 yyyy-mm-dd")
    private Long time;

    @ApiModelProperty("各基金当前占比")
    private List<FundRatioVO> fundRatios;

    @ApiModelProperty("各基金持仓变动")
    private List<FundInfoVO> fundInfos;
}
