package com.tanpu.fund.api.model.resp;

import com.tanpu.common.model.product.resp.Net;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("非探普产品")
@Data
public class NotTPProductVO {

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("产品iid")
    private String productId;

    @ApiModelProperty("最新净值")
    private Net net;

    @ApiModelProperty("最近一年")
    private String ret1y;
}
